#### PyKDE - Python Bindings for KDE

# class KArchiveDirectory |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KArchiveDirectory
Inherits | KArchiveEntry

### methods

- KArchiveDirectory (archive, name, access, date, user, group, symlink)

  returns a KArchiveDirectory instance
  Argument | Type | Default
  --- | --- | ---
  archive | KArchive |
  name | QString |
  access | int |
  date | int |
  user | QString |
  group | QString |
  symlink | QString |

- addEntry (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KArchiveEntry |

- copyTo (dest, recursive = 1)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dest | QString |
  recursive | bool | 1

- entries ()

  returns (QStringList)

- entry (name)

  returns (KArchiveEntry)
  Argument | Type | Default
  --- | --- | ---
  name | QString |

- isDirectory ()

  returns (bool)